/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.css.value;

/**
 * This interface represents a map of ValueFactory objects.
 *
 * @author <a href="mailto:stephane@hillion.org">Stephane Hillion</a>
 * @version $Id: ValueFactoryMap.java,v 1.1.1.1 2000/10/10 18:38:41 hillion Exp $
 */
public interface ValueFactoryMap {
    /**
     * Returns the ValueFactory object associated with the given property.
     */
    ValueFactory get(String property);
}
